> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Address

> Validates the specified address for the given chain ID, returning true if the address is valid, otherwise false.



## OpenAPI

````yaml openapi.json post /api/{chainId}/address/validate
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/{chainId}/address/validate:
    post:
      tags:
        - Utils
      summary: Validate Address
      description: >-
        Validates the specified address for the given chain ID, returning true
        if the address is valid, otherwise false.
      parameters:
        - in: path
          name: chainId
          description: Unique adamik identifier of the chain
          schema:
            $ref: '#/components/schemas/ChainId'
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  type: string
              required:
                - address
      responses:
        '200':
          description: >-
            Returns true if the address is valid for the specified chain ID,
            otherwise false.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chainId:
                    $ref: '#/components/schemas/ChainId'
                  valid:
                    type: boolean
                required:
                  - chainId
                  - valid
components:
  schemas:
    ChainId:
      type: string
      enum:
        - algorand
        - ethereum
        - sepolia
        - holesky
        - zksync
        - zksync-sepolia
        - injective-evm-testnet
        - base
        - base-sepolia
        - optimism
        - optimism-sepolia
        - arbitrum
        - arbitrum-sepolia
        - polygon
        - polygon-amoy
        - bsc
        - bsc-testnet
        - linea
        - linea-sepolia
        - avalanche
        - avalanche-fuji
        - gnosis
        - gnosis-chiado
        - moonbeam
        - moonriver
        - moonbase
        - fantom
        - mantle
        - chiliz
        - chiliz-testnet
        - ton
        - tron
        - rootstock
        - rootstock-testnet
        - bitcoin
        - bitcoin-testnet
        - bitcoin-signet
        - litecoin
        - dogecoin
        - starknet
        - monad-testnet
        - bitsong
        - chihuahua
        - seda
        - persistence
        - comdex
        - humans-ai
        - ki
        - mars-hub
        - provenance
        - quicksilver
        - saga
        - ux-chain
        - kava
        - sei
        - fetch-ai
        - cosmoshub
        - osmosis
        - celestia
        - dydx
        - axelar
        - evmos
        - irisnet
        - juno
        - lum-network
        - omniflix
        - medibloc
        - passage
        - quasar
        - sommelier
        - shentu
        - stride
        - neutron
        - terra2
        - akash
        - dymension
        - band
        - stargaze
        - kyve
        - likecoin
        - osmosis-testnet
        - celestia-testnet
        - cosmoshub-testnet
        - injective
        - babylon
        - babylon-testnet
        - berachain
        - berachain-artio
        - cronos
        - world-chain
      description: Unique adamik identifier of the chain
      example: bitcoin
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````